Create Fee

Use the /createFee endpoint to assess a fee to the specified account. The fee amount will be deducted from the account balance after a successful call.

Please note: account balances will be checked before a fee is created. If the account does not have sufficient funds, the fee will not be created.

As part of your program setup, you'll define a list of 'fee types' and corresponding money movement. You can then assess fees via this endpoint when needed.


📘 Note: Spidr will work with your program to configure fee types, automatic fees, and the underlying funds movement.


To reverse a fee, see Reverse Fee. To see a list of fees assessed for an account see List Fees.

Body Params

POST /v1/transaction/createFee Request body

string
required

Pass in the Spidr account ID

string
required

The type of fee to create, values to be configured with Spidr.

double
required
≤ 10000000

The amount of the fee.

string
length between 1 and 255

The description of the fee.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json